using System;

public class Chat
{

    private const uint AgeMaximum = 100;

    public String Crier()
    {
        return ("Miaouuu j'ai " + AgeChat + " ans"); // ou this.AgeChat
    }

    public uint AgeChat { get; set; }
}

class Program
{
    static void Main(string[] args)
    {
        Chat UnMatou = new Chat();
        UnMatou.AgeChat = 10; // exception non rattrapée
        Console.WriteLine("le matou a " + UnMatou.AgeChat + " ans");
        
        Console.ReadKey();
    }
}
